Resources (gCube Messages Portlet 0.4.0-3.1.0 API)
Date: 2014-05-11

org.gcube.portlets.user.messages.client.resources

## Class Resources

- java.lang.Object
- - org.gcube.portlets.user.messages.client.resources.Resources

-     public class Resources
      extends Object

  Author:
    Francesco Mangiacrapa francesco.mangiacrapa@isti.cnr.it

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Icons` | `ICONS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Resources()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static com.google.gwt.user.client.ui.AbstractImagePrototype` | `getCloseIcon()`
    `static com.google.gwt.user.client.ui.AbstractImagePrototype` | `getIconAddFolder()`
    `static com.google.gwt.user.client.ui.AbstractImagePrototype` | `getIconAddFolder32()`
    `static com.google.gwt.user.client.ui.AbstractImagePrototype` | `getIconAddUrl()`
    `static com.google.gwt.user.client.ui.AbstractImagePrototype` | `getIconArchiveUpload()`
    `static com.google.gwt.user.client.ui.AbstractImagePrototype` | `getIconAudio()`
    `static com.google.gwt.user.client.ui.AbstractImagePrototype` | `getIconBiodiversity()`
    `static com.google.gwt.user.client.ui.AbstractImagePrototype` | `getIconByExtension(String fileExtension)`
    `static com.google.gwt.user.client.ui.AbstractImagePrototype` | `getIconByFolderItemType(GXTFolderItemTypeEnum itemType)`
    `static com.google.gwt.user.client.ui.AbstractImagePrototype` | `getIconByType(String type)`
    `static com.google.gwt.user.client.ui.AbstractImagePrototype` | `getIconCancel()`
    `static com.google.gwt.user.client.ui.AbstractImagePrototype` | `getIconCheckUser()`
    `static com.google.gwt.user.client.ui.AbstractImagePrototype` | `getIconCopy()`
    `static com.google.gwt.user.client.ui.AbstractImagePrototype` | `getIconDelete2()`
    `static com.google.gwt.user.client.ui.AbstractImagePrototype` | `getIconDeleteFolder()`
    `static com.google.gwt.user.client.ui.AbstractImagePrototype` | `getIconDeleteItem()`
    `static com.google.gwt.user.client.ui.AbstractImagePrototype` | `getIconDeleteItem32()`
    `static com.google.gwt.user.client.ui.AbstractImagePrototype` | `getIconDeleteMessage()`
    `static com.google.gwt.user.client.ui.AbstractImagePrototype` | `getIconDoc()`
    `static com.google.gwt.user.client.ui.AbstractImagePrototype` | `getIconDocuments()`
    `static com.google.gwt.user.client.ui.AbstractImagePrototype` | `getIconDownload()`
    `static com.google.gwt.user.client.ui.AbstractImagePrototype` | `getIconDownloadEmails()`
    `static com.google.gwt.user.client.ui.AbstractImagePrototype` | `getIconEmail()`
    `static com.google.gwt.user.client.ui.AbstractImagePrototype` | `getIconEmailForward()`
    `static com.google.gwt.user.client.ui.AbstractImagePrototype` | `getIconEmailNotRead()`
    `static com.google.gwt.user.client.ui.AbstractImagePrototype` | `getIconEmailRead()`
    `static com.google.gwt.user.client.ui.AbstractImagePrototype` | `getIconFileUpload()`
    `static com.google.gwt.user.client.ui.AbstractImagePrototype` | `getIconFileUpload32()`
    `static com.google.gwt.user.client.ui.AbstractImagePrototype` | `getIconFolder()`
    `static com.google.gwt.user.client.ui.AbstractImagePrototype` | `getIconGif()`
    `static com.google.gwt.user.client.ui.AbstractImagePrototype` | `getIconHtml()`
    `static com.google.gwt.user.client.ui.AbstractImagePrototype` | `getIconImages()`
    `static com.google.gwt.user.client.ui.AbstractImagePrototype` | `getIconJava()`
    `static com.google.gwt.user.client.ui.AbstractImagePrototype` | `getIconJpeg()`
    `static com.google.gwt.user.client.ui.AbstractImagePrototype` | `getIconLinks()`
    `static com.google.gwt.user.client.ui.AbstractImagePrototype` | `getIconLoading()`
    `static com.google.gwt.user.client.ui.AbstractImagePrototype` | `getIconLoading2()`
    `static com.google.gwt.user.client.ui.AbstractImagePrototype` | `getIconLoadingOff()`
    `static com.google.gwt.user.client.ui.AbstractImagePrototype` | `getIconMessagesReceived()`
    `static com.google.gwt.user.client.ui.AbstractImagePrototype` | `getIconMessagesSent()`
    `static com.google.gwt.user.client.ui.AbstractImagePrototype` | `getIconMovie()`
    `static com.google.gwt.user.client.ui.AbstractImagePrototype` | `getIconNewMail()`
    `static com.google.gwt.user.client.ui.AbstractImagePrototype` | `getIconOpenEmail()`
    `static com.google.gwt.user.client.ui.AbstractImagePrototype` | `getIconOpenUrl()`
    `static com.google.gwt.user.client.ui.AbstractImagePrototype` | `getIconPaste()`
    `static com.google.gwt.user.client.ui.AbstractImagePrototype` | `getIconPdf()`
    `static com.google.gwt.user.client.ui.AbstractImagePrototype` | `getIconPng()`
    `static com.google.gwt.user.client.ui.AbstractImagePrototype` | `getIconPreview()`
    `static com.google.gwt.user.client.ui.AbstractImagePrototype` | `getIconRefresh()`
    `static com.google.gwt.user.client.ui.AbstractImagePrototype` | `getIconRemoveFilter()`
    `static com.google.gwt.user.client.ui.AbstractImagePrototype` | `getIconRenameItem()`
    `static com.google.gwt.user.client.ui.AbstractImagePrototype` | `getIconRenameItem32()`
    `static com.google.gwt.user.client.ui.AbstractImagePrototype` | `getIconReplyAllMail()`
    `static com.google.gwt.user.client.ui.AbstractImagePrototype` | `getIconReplyMail()`
    `static com.google.gwt.user.client.ui.AbstractImagePrototype` | `getIconReport()`
    `static com.google.gwt.user.client.ui.AbstractImagePrototype` | `getIconReportTemplate()`
    `static com.google.gwt.user.client.ui.AbstractImagePrototype` | `getIconResourceLink()`
    `static com.google.gwt.user.client.ui.AbstractImagePrototype` | `getIconSave()`
    `static com.google.gwt.user.client.ui.AbstractImagePrototype` | `getIconSaveAttachments()`
    `static com.google.gwt.user.client.ui.AbstractImagePrototype` | `getIconSearch()`
    `static com.google.gwt.user.client.ui.AbstractImagePrototype` | `getIconSendTo()`
    `static com.google.gwt.user.client.ui.AbstractImagePrototype` | `getIconShow()`
    `static com.google.gwt.user.client.ui.AbstractImagePrototype` | `getIconStar()`
    `static com.google.gwt.user.client.ui.AbstractImagePrototype` | `getIconSvg()`
    `static com.google.gwt.user.client.ui.AbstractImagePrototype` | `getIconTable()`
    `static com.google.gwt.user.client.ui.AbstractImagePrototype` | `getIconTiff()`
    `static com.google.gwt.user.client.ui.AbstractImagePrototype` | `getIconTimeSeries()`
    `static com.google.gwt.user.client.ui.AbstractImagePrototype` | `getIconToggleGroup()`
    `static com.google.gwt.user.client.ui.AbstractImagePrototype` | `getIconToggleIcon()`
    `static com.google.gwt.user.client.ui.AbstractImagePrototype` | `getIconToggleList()`
    `static com.google.gwt.user.client.ui.AbstractImagePrototype` | `getIconTxt()`
    `static com.google.gwt.user.client.ui.AbstractImagePrototype` | `getIconUrlWebDav()`
    `static com.google.gwt.user.client.ui.AbstractImagePrototype` | `getIconWebDav()`
    `static com.google.gwt.user.client.ui.AbstractImagePrototype` | `getIconWorkflowReport()`
    `static com.google.gwt.user.client.ui.AbstractImagePrototype` | `getIconWorkflowTemplate()`
    `static com.google.gwt.user.client.ui.AbstractImagePrototype` | `getIconXml()`
    `static com.google.gwt.resources.client.ImageResource` | `getImageAttachs()`
    `static com.google.gwt.resources.client.ImageResource` | `getImageCancel()`
    `static com.google.gwt.resources.client.ImageResource` | `getImageDelete()`
    `static com.google.gwt.resources.client.ImageResource` | `getImageFolder()`
    `static com.google.gwt.resources.client.ImageResource` | `getImageHardDisk()`
    `static com.google.gwt.resources.client.ImageResource` | `getImageLoading()`
    `static com.google.gwt.resources.client.ImageResource` | `getImagePathSeparator()`
    `static com.google.gwt.resources.client.ImageResource` | `getImageSearch()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ICONS

          public static final Icons ICONS

  - ### Constructor Detail

    - #### Resources

          public Resources()

  - ### Method Detail

    - #### getIconTable

          public static com.google.gwt.user.client.ui.AbstractImagePrototype getIconTable()

    - #### getCloseIcon

          public static com.google.gwt.user.client.ui.AbstractImagePrototype getCloseIcon()

    - #### getIconGif

          public static com.google.gwt.user.client.ui.AbstractImagePrototype getIconGif()

    - #### getIconJpeg

          public static com.google.gwt.user.client.ui.AbstractImagePrototype getIconJpeg()

    - #### getIconSvg

          public static com.google.gwt.user.client.ui.AbstractImagePrototype getIconSvg()

    - #### getIconPng

          public static com.google.gwt.user.client.ui.AbstractImagePrototype getIconPng()

    - #### getIconTiff

          public static com.google.gwt.user.client.ui.AbstractImagePrototype getIconTiff()

    - #### getIconPdf

          public static com.google.gwt.user.client.ui.AbstractImagePrototype getIconPdf()

    - #### getIconXml

          public static com.google.gwt.user.client.ui.AbstractImagePrototype getIconXml()

    - #### getIconHtml

          public static com.google.gwt.user.client.ui.AbstractImagePrototype getIconHtml()

    - #### getIconJava

          public static com.google.gwt.user.client.ui.AbstractImagePrototype getIconJava()

    - #### getIconDoc

          public static com.google.gwt.user.client.ui.AbstractImagePrototype getIconDoc()

    - #### getIconTxt

          public static com.google.gwt.user.client.ui.AbstractImagePrototype getIconTxt()

    - #### getIconMovie

          public static com.google.gwt.user.client.ui.AbstractImagePrototype getIconMovie()

    - #### getIconAddFolder

          public static com.google.gwt.user.client.ui.AbstractImagePrototype getIconAddFolder()

    - #### getIconAddFolder32

          public static com.google.gwt.user.client.ui.AbstractImagePrototype getIconAddFolder32()

    - #### getIconRenameItem

          public static com.google.gwt.user.client.ui.AbstractImagePrototype getIconRenameItem()

    - #### getIconRenameItem32

          public static com.google.gwt.user.client.ui.AbstractImagePrototype getIconRenameItem32()

    - #### getIconFileUpload

          public static com.google.gwt.user.client.ui.AbstractImagePrototype getIconFileUpload()

    - #### getIconFileUpload32

          public static com.google.gwt.user.client.ui.AbstractImagePrototype getIconFileUpload32()

    - #### getIconDeleteFolder

          public static com.google.gwt.user.client.ui.AbstractImagePrototype getIconDeleteFolder()

    - #### getIconDeleteItem

          public static com.google.gwt.user.client.ui.AbstractImagePrototype getIconDeleteItem()

    - #### getIconDeleteItem32

          public static com.google.gwt.user.client.ui.AbstractImagePrototype getIconDeleteItem32()

    - #### getIconFolder

          public static com.google.gwt.user.client.ui.AbstractImagePrototype getIconFolder()

    - #### getIconAudio

          public static com.google.gwt.user.client.ui.AbstractImagePrototype getIconAudio()

    - #### getIconArchiveUpload

          public static com.google.gwt.user.client.ui.AbstractImagePrototype getIconArchiveUpload()

    - #### getIconBiodiversity

          public static com.google.gwt.user.client.ui.AbstractImagePrototype getIconBiodiversity()

    - #### getIconImages

          public static com.google.gwt.user.client.ui.AbstractImagePrototype getIconImages()

    - #### getIconDocuments

          public static com.google.gwt.user.client.ui.AbstractImagePrototype getIconDocuments()

    - #### getIconSearch

          public static com.google.gwt.user.client.ui.AbstractImagePrototype getIconSearch()

    - #### getIconLinks

          public static com.google.gwt.user.client.ui.AbstractImagePrototype getIconLinks()

    - #### getIconReport

          public static com.google.gwt.user.client.ui.AbstractImagePrototype getIconReport()

    - #### getIconReportTemplate

          public static com.google.gwt.user.client.ui.AbstractImagePrototype getIconReportTemplate()

    - #### getIconTimeSeries

          public static com.google.gwt.user.client.ui.AbstractImagePrototype getIconTimeSeries()

    - #### getIconDownload

          public static com.google.gwt.user.client.ui.AbstractImagePrototype getIconDownload()

    - #### getIconCancel

          public static com.google.gwt.user.client.ui.AbstractImagePrototype getIconCancel()

    - #### getIconToggleList

          public static com.google.gwt.user.client.ui.AbstractImagePrototype getIconToggleList()

    - #### getIconToggleGroup

          public static com.google.gwt.user.client.ui.AbstractImagePrototype getIconToggleGroup()

    - #### getIconToggleIcon

          public static com.google.gwt.user.client.ui.AbstractImagePrototype getIconToggleIcon()

    - #### getIconSave

          public static com.google.gwt.user.client.ui.AbstractImagePrototype getIconSave()

    - #### getIconStar

          public static com.google.gwt.user.client.ui.AbstractImagePrototype getIconStar()

    - #### getIconPreview

          public static com.google.gwt.user.client.ui.AbstractImagePrototype getIconPreview()

    - #### getIconShow

          public static com.google.gwt.user.client.ui.AbstractImagePrototype getIconShow()

    - #### getIconOpenUrl

          public static com.google.gwt.user.client.ui.AbstractImagePrototype getIconOpenUrl()

    - #### getIconAddUrl

          public static com.google.gwt.user.client.ui.AbstractImagePrototype getIconAddUrl()

    - #### getIconSendTo

          public static com.google.gwt.user.client.ui.AbstractImagePrototype getIconSendTo()

    - #### getIconCheckUser

          public static com.google.gwt.user.client.ui.AbstractImagePrototype getIconCheckUser()

    - #### getIconMessagesReceived

          public static com.google.gwt.user.client.ui.AbstractImagePrototype getIconMessagesReceived()

    - #### getIconMessagesSent

          public static com.google.gwt.user.client.ui.AbstractImagePrototype getIconMessagesSent()

    - #### getIconEmail

          public static com.google.gwt.user.client.ui.AbstractImagePrototype getIconEmail()

    - #### getIconOpenEmail

          public static com.google.gwt.user.client.ui.AbstractImagePrototype getIconOpenEmail()

    - #### getIconSaveAttachments

          public static com.google.gwt.user.client.ui.AbstractImagePrototype getIconSaveAttachments()

    - #### getIconDownloadEmails

          public static com.google.gwt.user.client.ui.AbstractImagePrototype getIconDownloadEmails()

    - #### getIconEmailRead

          public static com.google.gwt.user.client.ui.AbstractImagePrototype getIconEmailRead()

    - #### getIconEmailNotRead

          public static com.google.gwt.user.client.ui.AbstractImagePrototype getIconEmailNotRead()

    - #### getIconDeleteMessage

          public static com.google.gwt.user.client.ui.AbstractImagePrototype getIconDeleteMessage()

    - #### getIconEmailForward

          public static com.google.gwt.user.client.ui.AbstractImagePrototype getIconEmailForward()

    - #### getIconCopy

          public static com.google.gwt.user.client.ui.AbstractImagePrototype getIconCopy()

    - #### getIconPaste

          public static com.google.gwt.user.client.ui.AbstractImagePrototype getIconPaste()

    - #### getIconRefresh

          public static com.google.gwt.user.client.ui.AbstractImagePrototype getIconRefresh()

    - #### getIconLoading

          public static com.google.gwt.user.client.ui.AbstractImagePrototype getIconLoading()

    - #### getIconLoadingOff

          public static com.google.gwt.user.client.ui.AbstractImagePrototype getIconLoadingOff()

    - #### getIconLoading2

          public static com.google.gwt.user.client.ui.AbstractImagePrototype getIconLoading2()

    - #### getIconDelete2

          public static com.google.gwt.user.client.ui.AbstractImagePrototype getIconDelete2()

    - #### getIconUrlWebDav

          public static com.google.gwt.user.client.ui.AbstractImagePrototype getIconUrlWebDav()

    - #### getIconRemoveFilter

          public static com.google.gwt.user.client.ui.AbstractImagePrototype getIconRemoveFilter()

    - #### getIconNewMail

          public static com.google.gwt.user.client.ui.AbstractImagePrototype getIconNewMail()

    - #### getIconReplyMail

          public static com.google.gwt.user.client.ui.AbstractImagePrototype getIconReplyMail()

    - #### getIconReplyAllMail

          public static com.google.gwt.user.client.ui.AbstractImagePrototype getIconReplyAllMail()

    - #### getIconWorkflowReport

          public static com.google.gwt.user.client.ui.AbstractImagePrototype getIconWorkflowReport()

    - #### getIconWorkflowTemplate

          public static com.google.gwt.user.client.ui.AbstractImagePrototype getIconWorkflowTemplate()

    - #### getIconWebDav

          public static com.google.gwt.user.client.ui.AbstractImagePrototype getIconWebDav()

    - #### getIconResourceLink

          public static com.google.gwt.user.client.ui.AbstractImagePrototype getIconResourceLink()

    - #### getImagePathSeparator

          public static com.google.gwt.resources.client.ImageResource getImagePathSeparator()

    - #### getImageLoading

          public static com.google.gwt.resources.client.ImageResource getImageLoading()

    - #### getImageHardDisk

          public static com.google.gwt.resources.client.ImageResource getImageHardDisk()

    - #### getImageSearch

          public static com.google.gwt.resources.client.ImageResource getImageSearch()

    - #### getImageFolder

          public static com.google.gwt.resources.client.ImageResource getImageFolder()

    - #### getImageCancel

          public static com.google.gwt.resources.client.ImageResource getImageCancel()

    - #### getImageDelete

          public static com.google.gwt.resources.client.ImageResource getImageDelete()

    - #### getImageAttachs

          public static com.google.gwt.resources.client.ImageResource getImageAttachs()

    - #### getIconByExtension

          public static com.google.gwt.user.client.ui.AbstractImagePrototype getIconByExtension(String fileExtension)

    - #### getIconByFolderItemType

          public static com.google.gwt.user.client.ui.AbstractImagePrototype getIconByFolderItemType(GXTFolderItemTypeEnum itemType)

    - #### getIconByType

          public static com.google.gwt.user.client.ui.AbstractImagePrototype getIconByType(String type)

Copyright © 2014. All Rights Reserved.